<template>
<div>
        <v-app-bar elevate-on-scroll app class = "top-bar" dense dark color="primary">      
      <v-app-bar-title class="beta" :title="release" aria-label="Ordbøkene: Bokmålsordboka og Nynorskordboka"><a href ="/">{{$vuetify.breakpoint.smAndDown ? 'Ordbøkene' : 'ordbøkene.no'}}</a></v-app-bar-title>

      <v-spacer/>
      <v-divider vertical/>
      <v-toolbar-items v-if="$route.name == 'about'">
      <v-btn text @click.native="back" v-if="$route.name == 'about'">{{$t('close')}}<v-icon right>close</v-icon></v-btn>
      <v-btn text v-else @click.native="home">Søk i ordbøkene<v-icon right>search</v-icon></v-btn>
      </v-toolbar-items>
      <v-toolbar-items>

      <v-btn id="top_menu" 
             v-if="$route.name != 'about'"
             :aria-expanded="menuOpen? 'true' : 'false'"
             aria-haspopup="menu"
             width="96px" 
             aria-labelledby="menu_label" 
             text @click.native="menuOpen = !menuOpen">
         <span id="menu_label">{{$t('menu.title')}}</span><v-icon right>{{menuOpen? 'close' : 'menu'}}</v-icon></v-btn>
        </v-toolbar-items>
        <v-divider vertical/>
        </v-app-bar>
                <v-dialog origin="48px center" content-class="dialogMenu" aria-labelledby="menu_label" max-width="1200" width="1200" v-model="menuOpen" hide-overlay
        :close-on-content-click="false" transition="dialog-top-transition">
        <Menu @close="menuOpen=false"/>
        </v-dialog>
        </div>
</template>

<script>
import Menu from './Menu.vue'

export default {
    name: "TopBar",
    data: function() {
      return {
        version_label: process.env.VUE_APP_VERSION_LABEL,
        release: process.env.VUE_APP_RELEASE,
      }
    },
    computed: {
      menuOpen: {
        get() {
          return this.$store.state.menuOpen
        },
        set () {
          this.$store.commit('toggleMenu')
        }
      }
    },
    methods: {
      home: function() {
        this.$router.push('/')
      },
      back: function() {
        this.$router.go(-1)
      }

    },
    components: {
        Menu
    },
}
</script>

<style>

.dialogMenu {
  margin: 0px !important;
  align-self: flex-start !important;
  margin-top: 48px !important;
}

.v-app-bar {
  z-index: 1000 !important;
}

.v-app-bar-title a {
  text-decoration: none;
  color: white !important;

}

 
</style>